package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesEquipVariableCollectContext;
import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentVariable;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesEquipmentLogDao {

    @ApiOperation(value = "根据设备ID, 变量类型查询设备日志表")
    List<MesEquipVariableCollectContext> queryMesEquipmentLog(List<MesEquipmentVariable> equipmentVariableList, String organizeCode, Integer equipId, Integer variableType);

    @ApiOperation(value = "根据设备ID, 设备LOG表ID集合修改设备日志表的数据状态")
    void updateEquipVariableStatus(String organizeCode, Integer equipId, List<Long> equipmentLogIdList, Integer equipVariableStatus);

}
